From bdf8c8ce38cff8938bab3544c6dbb0d509ce7720 Mon Sep 17 00:00:00 2001
From: Eric Le Lay <elelay@macports.org>
Date: Sun, 22 Mar 2020 16:19:08 +0100
Subject: [PATCH] use == for comparison with literal

See https://bugs.python.org/issue34850
---
 mygpoclient/locator.py | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/mygpoclient/locator.py b/mygpoclient/locator.py
index c0dc9d7..810f973 100644
--- a/mygpoclient/locator.py
+++ b/mygpoclient/locator.py
@@ -317,17 +317,17 @@ def settings_uri(self, type, scope_param1, scope_param2):
 
         filename = self._username + '/%(type)s.json' % locals()
 
-        if type is 'device':
+        if type == 'device':
             if scope_param1 is None:
                 raise ValueError('Devicename not specified')
             filename += '?device=%(scope_param1)s' % locals()
 
-        if type is 'podcast':
+        if type == 'podcast':
             if scope_param1 is None:
                 raise ValueError('Podcast URL not specified')
             filename += '?podcast=%s' % quote(scope_param1)
 
-        if type is 'episode':
+        if type == 'episode':
             if (scope_param1 is None) or (scope_param2 is None):
                 raise ValueError('Podcast or Episode URL not specified')
             filename += '?podcast=%s&episode=%s' % (quote(scope_param1), quote(scope_param2))
